Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::TextAreaGuiElementFactory Class Reference

Factory for creating TextAreaGuiElement instances. More...

`#include <OgreGuiElementFactories.h>`

Inheritance diagram for Ogre::TextAreaGuiElementFactory:

[legend]
List of all members.

## Public Methods

GuiElement * | createGuiElement (const String &instanceName)
| See GuiElementFactory.
const String & | getTypeName (void) const
| See GuiElementFactory.
virtual void | destroyGuiElement (GuiElement *pElement)
| Destroys a GuiElement which this factory created previously.

## Detailed Description

Factory for creating TextAreaGuiElement instances.

Definition at line 100 of file OgreGuiElementFactories.h.

## Member Function Documentation

GuiElement* Ogre::TextAreaGuiElementFactory::createGuiElement | ( | const String & | instanceName | ) | `[virtual]`

| See GuiElementFactory. Implements Ogre::GuiElementFactory. Definition at line 104 of file OgreGuiElementFactories.h. References Ogre::String.

virtual void Ogre::GuiElementFactory::destroyGuiElement | ( | GuiElement * | pElement | ) | `[virtual, inherited]`

| Destroys a GuiElement which this factory created previously. Definition at line 51 of file OgreGuiElementFactory.h.

const String& Ogre::TextAreaGuiElementFactory::getTypeName | ( | void |  | ) | const`[virtual]`

| See GuiElementFactory. Implements Ogre::GuiElementFactory. Definition at line 109 of file OgreGuiElementFactories.h. References Ogre::String.

The documentation for this class was generated from the following file:

- OgreGuiElementFactories.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:26 2004